Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_TTY_IO Class Reference

Class definitions for platform specific TTY features. More...

`#include <TTY_IO.h>`

Inheritance diagram for ACE_TTY_IO:

[legend]
Collaboration diagram for ACE_TTY_IO:

[legend]
List of all members.

## Public Types
enum | Control_Mode { SETPARAMS, GETPARAMS }
## Public Methods
int | control (Control_Mode cmd, Serial_Params *arg) const
| Interface for reading/writing serial device parameters.

## Detailed Description

Class definitions for platform specific TTY features.

This class represents an example interface for a specific device (a serial line) It extends the capability of the underlying DEV_IO class by adding a control method that takes a special structure (Serial_Params) as argument to allow a comfortable user interface (away from that annoying termios structure, which is very specific to UNIX).

## Member Enumeration Documentation

enum ACE_TTY_IO::Control_Mode

  | Enumeration values:
  SETPARAMS | Set control parameters.
  GETPARAMS | Get control parameters.

## Member Function Documentation

int ACE_TTY_IO::control | ( | Control_Mode | cmd,
|  | Serial_Params * | arg
| ) | const

| Interface for reading/writing serial device parameters.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TTY_IO.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TTY_IO.cpp